{-# LANGUAGE OverloadedStrings #-}

import Data.GI.CodeGen.CabalHooks (setupBinding, TaggedOverride(..))

import qualified GI.GLib.Config as GLib
import qualified GI.GObject.Config as GObject
import qualified GI.Gio.Config as Gio
import qualified GI.Gst.Config as Gst
import qualified GI.GstPbutils.Config as GstPbutils
import qualified GI.GstVideo.Config as GstVideo


main :: IO ()
main = setupBinding name version pkgName pkgVersion verbose overridesFile inheritedOverrides outputDir
  where name = "GES"
        version = "1.0"
        pkgName = "gi-ges"
        pkgVersion = "1.0.2"
        overridesFile = Nothing
        verbose = False
        outputDir = Nothing
        inheritedOverrides = [TaggedOverride "inherited:GLib" GLib.overrides, TaggedOverride "inherited:GObject" GObject.overrides, TaggedOverride "inherited:Gio" Gio.overrides, TaggedOverride "inherited:Gst" Gst.overrides, TaggedOverride "inherited:GstPbutils" GstPbutils.overrides, TaggedOverride "inherited:GstVideo" GstVideo.overrides]
